%TP1 Signaux priodiques
%A) Etudier et tester le fonctionnement du programme ci dessous

%B) Soit f1 = 2000Hz et f2=100Hz
%Comparer et commenter  les graphiques obtenus pour les signaux ci-dessous:
% y1 = 5 + 5*sin(w1*t)
% y1 = sin(w1*t+pi/2)+sin(w1*t)
% y1 = 2*sin(w1*t)+sin(w2*t)
% y1 = 2*cos(w1*t)+sin(w2*t)
% y1 = 2*sin(w1*t) .* sin(w2*t)
% y1 = (1+cos(w2*t)).*sin(w1*t)
% y1 = rand(1,Ne+1)
% y1 = rand(1,Ne+1)-0.5
% y1 = (1+cos(w2*t)).*sin(w1*t)+rand(1,Ne+1)-0.5
% y1 = un signal carr de frquence 250 Hz

clear all;
hold off;
DUREE= 0.05;          		% DUREE du signal en secondes
fe = 8000;         			% nombre de points  calculer par seconde (frquence d'chantillonnage)
Te = 1/fe;						% intervalle de temps entre deux points
Ne = DUREE/Te;					% nombre total de points
t=0:Te:DUREE;					% t contient les temps de 0  DUREE de Te en Te 

% Calcul du signal  analyser
f1=2000; 						% frquence du signal  tudier
w1=2*pi*f1;						% pulsation
y1=5*sin(w1*t);					% y1 contient les valeurs des N_points

%AFFICHER Y1(t)
figure(1);						% ouvre une fentre graphique
subplot(3,1,1);				% partage la fentre en 3 lignes 1 colonne et affiche dans la case 1
plot(t,y1);						% place les points et les relie	
ylabel('Amplitude')
xlabel('temps en sec.')

%AFFICHER LE SPECTRE
[amplitude,phase,frequence]=fourier(y1,fe) 	% analyse spectrale
subplot(3,1,2);										% pour afficher dans la 2me case
plot(frequence,amplitude);
ylabel('Amplitude');
xlabel('frquence en Hz');



