%TP3 Modulation-demodulation  PSK -2 
clear all;
hold off;
[y,fe,bits] = wavread('psk2.wav');
y=y';
Ne=length(y);					% nbre de points
DUREE=(Ne-1)/fe;				% DUREE du signal en secondes
Te = 1/fe;						% intervalle de temps entre deux points
t=0:Te:DUREE;					% t contient les temps de 0  DUREE de Te en Te 

%AFFICHER Y(t)
figure(1);						% ouvre une fentre graphique
subplot(2,1,1);				% partage la fentre en 3 lignes 1 colonne et affiche dans la case 1
plot(t,y);
hold on

%AFFICHER LE SPECTRE
[amplitude,phase,frequence]=fourier(y,fe); 	% analyse spectrale
subplot(2,1,2);										% pour afficher dans la 2me case
plot(frequence,amplitude);
% Ecouter Y(t)
%pause
%soundsc(y,fe);

Tb=0.002;					%duree 1 bit
Nb=Tb*fe;
f0=1000;
T0=1/f0;
w0=2*pi*f0;
% Reconstruction de la porteuse 
%y2=y.*y;
%y2=y2-mean(y2);
%subplot(4,1,1);										% pour afficher dans la 2me case
%plot(t,y3,'r');

%Dmodulation
y3=y.*cos(w0*t);
subplot(2,1,1);										% pour afficher dans la 2me case
plot(t,y3,'g');

%filtrage passe-bas
y33(1)=y3(1);
for k=2:Ne
   y33(k)=(4*y33(k-1)+y3(k))/5;
end  
subplot(2,1,1);										% pour afficher dans la 2me case
plot(t,y33,'r');

