%TP3 Modulation  FSK

clear all;
hold off;
[y,fe,bits] = wavread('s10250b8.wav');%882 1132 20ms
y=y';
Ne=length(y);
DUREE=(Ne-1)/fe;	% DUREE du signal en secondes
Te = 1/fe;						% intervalle de temps entre deux points
t=0:Te:DUREE;					% t contient les temps de 0  DUREE de Te en Te 

%AFFICHER Y(t)
figure(1);						% ouvre une fentre graphique
subplot(4,1,1);				% partage la fentre en 3 lignes 1 colonne et affiche dans la case 1
plot(t,y);						% place les points et les relie	
ylabel('Amplitude')
xlabel('temps en sec.')
hold on
%AFFICHER LE SPECTRE
[amplitude,phase,frequence]=fourier(y,fe); 	% analyse spectrale
subplot(4,1,2);										% pour afficher dans la 2me case
plot(frequence,amplitude);
ylabel('Amplitude');
xlabel('frquence en Hz');
pause
soundsc(y,fe);

Tb=0.02;					%duree 1 bit
Nb=Tb*fe;
f0=882;
f1=1132;
t0=1/f0;
t1=1/f1;
w0=2*pi*f0;
w1=2*pi*f1;
cos0=cos(w0*(0:Nb-1)*Te);
sin0=sin(w0*(0:Nb-1)*Te);
cos1=cos(w1*(0:Nb-1)*Te);
sin1=sin(w1*(0:Nb-1)*Te);
NN=floor(Nb/5);
for  k=1:floor(NN):Ne-Nb          %
   A0=sum(y(k:k+Nb-1).*cos0);
   B0=sum(y(k:k+Nb-1).*sin0);
   A1=sum(y(k:k+Nb-1).*cos1);
   B1=sum(y(k:k+Nb-1).*sin1);
   C0=sqrt(A0^2+B0^2);
   C1=sqrt(A1^2+B1^2);
   if C0>C1 
      x(k:k+floor(NN))=1;
   else 
      x(k:k+floor(NN))=0;
   end
end      
subplot(4,1,1);										% pour afficher dans la 2me case
plot(t(1:length(x)),x);

%ajout de bruit
bruit=rand(1,Ne)-0.5;
yb=y+0.4*bruit;
figure(2)
subplot(4,1,1);				% partage la fentre en 3 lignes 1 colonne et affiche dans la case 1
plot(t,yb);						% place les points et les relie	
hold on
%AFFICHER LE SPECTRE
[amplitude,phase,frequence]=fourier(yb,fe); 	% analyse spectrale
subplot(4,1,2);										% pour afficher dans la 2me case
plot(frequence,amplitude);
pause
soundsc(yb,fe);

for  k=1:floor(NN):Ne-Nb              %
   A0=sum(yb(k:k+Nb-1).*cos0);
   B0=sum(yb(k:k+Nb-1).*sin0);
   A1=sum(yb(k:k+Nb-1).*cos1);
   B1=sum(yb(k:k+Nb-1).*sin1);
   C0=sqrt(A0^2+B0^2);
   C1=sqrt(A1^2+B1^2);
   if C0>C1 
      x(k:k+floor(NN))=1;
   else 
      x(k:k+floor(NN))=0;
   end
end      
subplot(4,1,1);										% pour afficher dans la 2me case
plot(t(1:length(x)),x);

  


