%Fabrication de signaux PSK-2 fp=1000Hz Tb=2ms (2 priodes)
clear all;
hold off;
Tb=0.002; 						% dure d'un bit ici 6.66ms
fe=10000;						% f echantillonnage
DUREE = 1; 						% en secondes
% motif biaire m(t)  +/-1   Nb points par bits
[m,t]= NRZ(fe,Tb,DUREE);
% signal modul
fp=1000;							% f porteuse
y=m.*cos(2*pi*fp*t);
%AFFICHER Y(t)
figure(1);						% ouvre une fentre graphique
subplot(3,1,1);				% partage la fentre en 3 lignes 1 colonne et affiche dans la case 1
plot(t,y);						% place les points et les relie	
ylabel('Amplitude')
xlabel('temps en sec.')
%AFFICHER LE SPECTRE y
[amplitude,phase,frequence]=fourier(y,fe); 	% analyse spectrale
subplot(3,1,2);										% pour afficher dans la 2me case
plot(frequence,amplitude);
ylabel('Amplitude');
xlabel('frquence en Hz');

%AFFICHER LE SPECTRE m
[amplitude,phase,frequence]=fourier(m,fe); 	% analyse spectrale
subplot(3,1,3);										% pour afficher dans la 2me case
plot(frequence,amplitude);
ylabel('Amplitude');
xlabel('frquence en Hz');

pause
soundsc(y,fe);
pause
wavwrite(y,fe,'psk2.wav');
