%Modulation de 2 porteuses en quadrature QAM f0=1000Hz Tb=2ms 
clear all;
hold off;
Tb=0.002; 						% dure d'un bit 
fe=10000;						% f echantillonnage
DUREE = 0.05;					% en secondes
% motif binaire m(t)  +/-1   Nb points par bits
[mP,t]= NRZ(fe,Tb,DUREE);	% bit pairs
[mI,t]= NRZ(fe,Tb,DUREE);	% bit impairs

% Modulation
f0=1000;							% f porteuse
yP=mP.*cos(2*pi*f0*t);
yI=mI.*sin(2*pi*f0*t);
y=yP+yI;
%AFFICHER Y(t) le signal modul
figure(1);						% ouvre une fentre graphique
subplot(3,1,1);				% partage la fentre en 3 lignes 1 colonne et affiche dans la case 1
plot(t,y);							
%AFFICHER LE SPECTRE y
%[amplitude,phase,frequence]=fourier(y,fe); 	% analyse spectrale
%subplot(3,1,2);										% pour afficher dans la 2me case
%plot(frequence,amplitude);
subplot(3,1,2);										% pour afficher dans la 2me case
plot(t,y.*cos(2*pi*f0*t));
hold on
plot(t,mP,'r')
subplot(3,1,3);										% pour afficher dans la 2me case
plot(t,y.*sin(2*pi*f0*t));
hold on
plot(t,mI,'r')

%soundsc(y,fe);
%pause
%wavwrite(y,fe,'qamb.wav');
